%global npmname lru-cache
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: A cache object that deletes the least-recently-used items 
Name: nodejs-%{npmname}
Version: 2.0.4
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/node-lru-cache
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
A cache object that deletes the least-recently-used items.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc LICENSE README.md AUTHORS
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 2.0.4-1
- Initial build using nodejs spec template

